TV-Lite Community

Author Topic: Instalare VLC corect în Ubuntu  (Read 5890 times)

Offline Cristian

  • Global Moderator
  • Newbie
  • *****
  • Posts: 26
  • TV-Lite developer
    • View Profile
    • TV-Lite
Instalare VLC corect în Ubuntu
« on: June 13, 2022, 01:23:43 »
VLC este un player super, cel mai bun, dar condiția este să fie împachetat cum trebuie!
Din Ubuntu 20.04 tot a trebuit să căutăm soluții la această problemă, deoarece pachetul oficial se pare că este incomplet. În plus, în 20.04 era și vechi, având ditamai bug-ul care „anula” posibilitatea de a vizualiza trei sferturi dintre streamurile video.

Această problemă s-a rezolvat în Ubuntu 23.04 Lunar Lobster și, se pare ca și în 22.10 Kinetic Kudu. Dacă folosiți una din aceste distribuții, nu este nevoie de aceste instrucțiuni, VLC-ul de acolo fiind OK

Din fericire, în ajutor a venit, de câteva versiuni încoace packagerul Rob Savoury, cu VLC impachetat corect. Am mai prezentat această soluție la vremea ei, pentru Ubuntu 20.04 și derivate.
Mai multe instrucțiuni aici: https://launchpad.net/~savoury1/+archive/ubuntu/vlc3
Mai întăi trebuie dezinstalat vechiul VLC (tv-lite va fi dezinstalat împreună cu el Apoi trebuie introduse comenzile explicate acolo.
sudo apt-get remove vlc
sau
sudo apt-get remove tv-lite
dacă vlc nu e instalat, dar tv-lite este. Acesta depinde doar de biblioteca libvlc, nu de player în sine.

Modificat 15.09.2023
Din păcate, Rob Savoury a modificat termenii și felul în care softul său poate fi folosit. De ceva vreme VLC și alte playere din PPA-urile sale depind de soft dintr-un PPA „privat”, pentru care cere bani. Cu alte cuvinte, ceea ce e scris mai jos cu litere tăiate, nu mai este valabil. Încercarea de a instalat TV-Lite din PPA-urile respective va eșua din cauza câtorva dependențe inexistente.

Însă, în ajutor ne vin cei de la situl UbuntuHandbook, care au scos propriul lor pachet de VLC, care este corect funcțional și nu are alte dependențe speciale

Adăugăm așadar, următorul PPA

sudo add-apt-repository ppa:ubuntuhandbook1/vlc
sudo apt update
sudo apt upgrade
sudo apt install tv-lite

Ce e scris mai jos, nu contează. Are doar valoare documentară


Apoi adăugăm depozitele PPA și reinstalăm

sudo add-apt-repository ppa:savoury1/ffmpeg4
sudo add-apt-repository ppa:savoury1/multimedia
sudo add-apt-repository ppa:savoury1/graphics
sudo add-apt-repository ppa:savoury1/vlc3
sudo apt-get update

Adăugat 15.04.2023
Pe Ubuntu 22.04, Linux Mint și derivate bazate pe LTS downloadați și instalați pachetul următor, care este o dependență nesatisfăcută a noului pachet vlc 3.0.19. Aceasta este o solutie temporară până ce Rob Savoury fixează dependențele lipsă.

https://www.deb-multimedia.org/pool/main/libp/libplacebo-dmo/libplacebo264_5.264.1-dmo1_amd64.deb

Instalați și programul GDebi, dacă nu-l aveți instalat deja, pentru a putea instala apoi un pachet DEB descărcat direct, cu tot cu dependențe

sudo apt install gdebi
wget https://www.deb-multimedia.org/pool/main/libp/libplacebo-dmo/libplacebo264_5.264.1-dmo1_amd64.deb
sudo gdebi libplacebo264_5.264.1-dmo1_amd64.deb

« Last Edit: September 15, 2023, 20:36:13 by Cristian »